#pragma once

#include "CoreMinimal.h"
#include "DataTableDropdown.h"
#include "BehaviorTree/Blackboard/BlackboardKeyEnums.h"
#include "AICleansePerkCondition.generated.h"

USTRUCT(BlueprintType)
struct FAICleansePerkCondition
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDataTableDropdown CleansePerkID;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TEnumAsByte<EArithmeticKeyOperation::Type> DisplayPercentQuery;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float DisplayPercentValue;

public:
	DBDBOTS_API FAICleansePerkCondition();
};

FORCEINLINE uint32 GetTypeHash(const FAICleansePerkCondition) { return 0; }
